<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>barra progreso css</title>
	<style type="text/css" media="screen">
		body{
			display: flex;
			justify-content: center;
			align-items: center;
			font-family: sans-serif;
		}
		#container{
			border: 1px solid red;
			width: 500px;
			height: 50px;			
		}
		#barra{
			background-color: red;
			height: 50px;
			animation: barra 6s linear infinite normal;
		}
		#texto{
			width: 500px;
			line-height: 50px;
			text-align: center;
			font-weight: bold;
			font-size: x-large;
		}
		#texto:after{
			content: "0%";
			animation: texto 6s infinite normal;
		}
		@keyframes barra{
			from{
				width:0%;
			}
			to{
				width: 100%;
			}
		}
		@keyframes texto{
			0%{
				color: red;
			}
			25%{
				content:"25%";
				color:red;
			}
			50%{
				content:"50%";
			} 

			75%{
				content:"75%";
				
			}
			100%{
				content: "100%";
				
			}

		}
	</style>
</head>
<body>
	<div id="container">
		<div id="barra">
			<div id="texto">
			</div>
		</div>
	</div>
</body>
</html>